#if !defined(AFX_CONFIGUREENTRANCEACCESS_H__9D154FA4_5791_4214_B229_E9601082882C__INCLUDED_)
#define AFX_CONFIGUREENTRANCEACCESS_H__9D154FA4_5791_4214_B229_E9601082882C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigureEntranceAccess.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigureEntranceAccess dialog

class CConfigureEntranceAccess : public CDialog
{
// Construction
public:
	CConfigureEntranceAccess(CWnd* pParent = NULL);   // standard constructor
	CConfigureEntranceAccess(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CConfigureEntranceAccess)
	enum { IDD = IDD_ACCESS_ENTRANCE };
	CEdit	m_EditExGrp;
	CComboBox	m_GrpList;
	CEdit	m_Ctn_AcclName;
	CEdit	m_cnt_ExTZ;
	CComboBox	m_Timezones;
	CComboBox	m_ReaderList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CComboBox	m_AcclList;
	CString	m_Exist_Tz;
	CString	m_AcclName;
	CString	m_sExGroup;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureEntranceAccess)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureEntranceAccess)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAccllist();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnConfEntrance();
	afx_msg void OnSelchangeReaders();
	afx_msg void OnEditchangeAcctlist();
	afx_msg void OnSetfocusAcctlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts(long lAcctID);
	void LoadAccessLevels();
	void LoadReaders();
	void LoadAvailReaderTZs();
	void GetExistTZofReader();
	void LoadAvailReaderGroups();
	void GetExistGroupOfReader();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGUREENTRANCEACCESS_H__9D154FA4_5791_4214_B229_E9601082882C__INCLUDED_)
